## dff 1.2.0+dfsg.1

=== CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Christophe Malinge <cma@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>

project (dff)

#### Basic Cmake definitions
cmake_minimum_required (VERSION 2.6)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")

SET(CMAKE_INCLUDE_PATH "${INCLUDEDIR}")
SET(CMAKE_LIBRARY_PATH "${LIBDIR}")

#FILE(DOWNLOAD "http://sourceforge.net/projects/libbfio/files/libbfio-alpha/libbfio-alpha-20110625/libbfio-alpha-20110625.tar.gz/download" ./libbfio/libbfio.tar.gz SHOW_PROGESS)
#execute_process(COMMAND "C:/Program Files (x86)/7-Zip/7z.exe" -y x -olibbfio libbfio/libbfio.tar.gz)
#execute_process(COMMAND "C:/Program Files (x86)/7-Zip/7z.exe" -y x -olibbfio libbfio/libbfio.tar)
#execute_process(COMMAND "C:/Program Files (x86)/Microsoft Visual Studio 10.0/Common7/Tools/vsvars32.bat")
#execute_process(COMMAND "devenv" libbfio/libbfio-20110625/msvscpp/libbfio.sln /upgrade)
#execute_process(COMMAND "msbuild" /p:Configuration=Release /t:Build libbfio/libbfio-20110625/msvscpp/libbfio.sln)


# check 64 bit
if( "${CMAKE_SIZEOF_VOID_P}" EQUAL 4 )
  set( HAVE_64_BIT 0 )
else( "${CMAKE_SIZEOF_VOID_P}" EQUAL 4 )
   if (WIN32)
       SET( HAVE_64_BIT 0 )
   else (WIN32)
       SET(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DSWIGWORDSIZE64)
       SET( HAVE_64_BIT 1 )
   endif (WIN32)
endif( "${CMAKE_SIZEOF_VOID_P}" EQUAL 4 )

option(ENABLE_DEBUG "Compile using -g flag ? Useful for debugging" OFF)
add_definitions(-D__STDC_LIMIT_MACROS)
if(UNIX)
  if(ENABLE_DEBUG)
    add_definitions(-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -g -Wall)
    message(STATUS "Will use -g for debugging -- yes")
  else(ENABLE_DEBUG)
#change flag here
    add_definitions(-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -O2)
    message(STATUS "Will use -g for debugging -- no")
  endif(ENABLE_DEBUG)
endif(UNIX)
# $> cmake -DENABLE_DEBUG:BOOLEAN=OFF

# Set installation mode, include all items (*.py, ...) Default is development mode
option(INSTALL "Start installation mode ?" OFF)
IF(INSTALL)
  message(STATUS "Preparing installation mode")
ELSE(INSTALL)
  message(STATUS "Preparing development mode")
ENDIF(INSTALL)

IF (WIN32)
  option(WINALL "Package with windows Dependencies ?" OFF)
  IF(WINALL)
    message(STATUS "Packaging windows version with dependencies")
  ELSE(WINALL)
    message(STATUS "Packaging windows version without dependencies")
  ENDIF(WINALL)
ENDIF(WIN32)

## Swig
find_package(SWIG REQUIRED)
include(${SWIG_USE_FILE})

STRING (COMPARE LESS "${SWIG_VERSION}" "1.3.38" SWIGOK)

if (${SWIGOK})
  MESSAGE(FATAL_ERROR "Need SWIG version >= 1.3.38 (current version is ${SWIG_VERSION})")
endif (${SWIGOK})


find_package(AFF)
find_package(BFIO)
find_package(EWF)
find_package(PFF)
find_package(TRE)

IF (TRE_FOUND)
   add_definitions(-DHAVE_TRE)
   include_directories(${TRE_INCLUDE_DIR})
   message(STATUS "TRE installed version: ${TRE_VERSION}
   approximative matching support : ${TRE_HAVE_APPROX}
   wide character support         : ${TRE_HAVE_WCHAR}
   multibyte character support    : ${TRE_HAVE_MULTIBYTE}")
ENDIF (TRE_FOUND)

IF (PFF_FOUND)
   message(STATUS "PFF installed version: ${PFF_VERSION}")
ENDIF (PFF_FOUND)

IF (BFIO_FOUND)
   message(STATUS "BFIO installed version: ${BFIO_VERSION}")
ENDIF (BFIO_FOUND)

IF (EWF_FOUND)
   message(STATUS "EWF installed version: ${EWF_VERSION}")
   message(STATUS "library: ${EWF_LIBRARY}")
ENDIF (EWF_FOUND)


# Project-wide swig options
#SET(CMAKE_SWIG_FLAGS "-py3")

option(DISABLE_SWIG_THREADING "Wrap cpp code to python without -threads" OFF)
if(DISABLE_SWIG_THREADING)
  message(STATUS "Will we use swig -threads -- no")
else()
  #message(STATUS "Will we use swig -threads -- yes")
  #set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -O -threads)
  set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -threads)
endif(DISABLE_SWIG_THREADING)
# $> cmake -DDISABLE_SWIG_THREADING:BOOLEAN=ON

find_library(HAVE_FUSE NAMES fuse)
if(NOT HAVE_FUSE)
  message(STATUS "(Optionnal) fuse library not found; file system module 'fuse' will not be built")
endif(NOT HAVE_FUSE)

IF(WIN32)
  SET(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DWIN32 -DSWIGWIN)
  add_definitions("/W3 /D_CRT_SECURE_NO_WARNINGS /wd4290 /nologo")
ENDIF(WIN32)


## Python check
FIND_PACKAGE(PythonInterp REQUIRED)
execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES_PATH OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES_PATH OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_version; print(get_python_version())" OUTPUT_VARIABLE PYTHON_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
if (UNIX)
  if (APPLE)
    execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_config_vars; print(get_config_vars()[\"PYTHONFRAMEWORKPREFIX\"] + \"/\" + get_config_vars()[\"LDLIBRARY\"])" OUTPUT_VARIABLE PYTHON_LIBRARIES OUTPUT_STRIP_TRAILING_WHITESPACE)
  else ()
    execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_config_vars; print(get_config_vars()[\"LIBDIR\"] + \"/\" + get_config_vars()[\"LDLIBRARY\"])" OUTPUT_VARIABLE PYTHON_LIBRARIES OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif (APPLE)
  execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_inc; print(get_python_inc())" OUTPUT_VARIABLE PYTHON_INCLUDE_PATH OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process ( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_config_vars; print(get_config_vars()[\"BINDIR\"])" OUTPUT_VARIABLE PYTHON_BIN_PATH OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(NOT PYTHON_LIBRARIES)
    message(SEND_ERROR "No Python library found ; please install Python package, at least version 2.5.")
  else(NOT PYTHON_LIBRARIES)
    message(STATUS "Python library found: ${PYTHON_LIBRARIES}")
  endif(NOT PYTHON_LIBRARIES)
  if(NOT EXISTS ${PYTHON_INCLUDE_PATH}/Python.h)
    message(SEND_ERROR "No Python include/header file found; install Python development package.")
  else(NOT EXISTS ${PYTHON_INCLUDE_PATH}/Python.h)
    message(STATUS "Python header found: ${PYTHON_INCLUDE_PATH}")
  endif(NOT EXISTS ${PYTHON_INCLUDE_PATH}/Python.h)
else (UNIX)
  find_package(PythonLibs)
  find_package(PythonInterp)
  SET(PYTHON_BIN_PATH ${PYTHON_EXECUTABLE})
# FIXME for windows validate presence of Python.h in PYTHON_INCLUDE_PATH
endif(UNIX)

message(STATUS "Python in: ${PYTHON_BIN_PATH}")


FIND_PACKAGE(PythonLibrary REQUIRED)
FIND_PACKAGE(PyQt4 REQUIRED)
INCLUDE(PythonMacros)
IF (NOT MSVC)
  ADD_DEFINITIONS(-fPIC)
ENDIF ()
#FIND_PACKAGE(Qt4 REQUIRED)
#INCLUDE(${QT_USE_FILE})

if(UNIX)
# Search for gzip program, to compress manpage for Unix
  find_program(GZIP_TOOL
               NAMES gzip
               PATHS /bin
               /usr/bin
               /usr/local/bin)
  if(NOT GZIP_TOOL)
    message(FATAL_ERROR "Unable to find 'gzip' program")
  endif(NOT GZIP_TOOL)
endif(UNIX)

## Python-magic check for Unix only
if(UNIX)
  execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import magic; print magic.__file__" OUTPUT_VARIABLE PYTHON_MAGIC_PATH ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(NOT PYTHON_MAGIC_PATH)
    message(STATUS "Python magic not found. Not needed at build step but mandatory to start DFF.")
  else(NOT PYTHON_MAGIC_PATH)
    message(STATUS "Python magic found: ${PYTHON_MAGIC_PATH}")
  endif(NOT PYTHON_MAGIC_PATH)
endif(UNIX)

## Python-QT bindings check
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import PyQt4; print PyQt4.__path__[0]" OUTPUT_VARIABLE PYTHON_QT4_PATH ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
if(NOT PYTHON_QT4_PATH)
  message(STATUS "Python QT4 bindings not found. Not needed at build step but mandatory to start DFF.")
else(NOT PYTHON_QT4_PATH)
  message(STATUS "Python QT4 libraries bindings found: ${PYTHON_QT4_PATH}")
endif(NOT PYTHON_QT4_PATH)

## PyQt linguist transalation updater check, to create or update translation
## files
find_program(PYTHON_QT4_LANGUAGE NAMES pylupdate4 PATHS	${CMAKE_SYSTEM_PROGRAM_PATH} ${PYTHON_QT4_PATH}/bin ${PYTHON_QT4_PATH})
if(PYTHON_QT4_LANGUAGE)
  message(STATUS "Python Qt4 linguist translation files updater found: ${PYTHON_QT4_LANGUAGE}")
else(PYTHON_QT4_LANGUAGE)
  message(STATUS "Python Qt4 linguist translation files updater not found, unable to check for new tranlatable strings.")
endif(PYTHON_QT4_LANGUAGE)

## QT .ts to .qm compiler, used by translator objects
find_program(QT_LANGUAGE_COMPILER NAMES lrelease lrelease-qt4 PATHS ${CMAKE_SYSTEM_PROGRAM_PATH} ${PYTHON_QT4_PATH}/bin ${PYTHON_QT4_PATH})
if(QT_LANGUAGE_COMPILER)
  message(STATUS "QT translation compiler found: ${QT_LANGUAGE_COMPILER}")
else(QT_LANGUAGE_COMPILER)
  message(ERROR "QT translation compiler not found.")
endif(QT_LANGUAGE_COMPILER)

## PyQt UI compiler check, to generate widgets
find_program(PYTHON_QT4_UIC NAMES pyuic4 pyuic4.bat PATHS ${CMAKE_SYSTEM_PROGRAM_PATH} ${PYTHON_QT4_PATH}/bin ${PYTHON_QT4_PATH})
if(PYTHON_QT4_UIC)
  message(STATUS "Python Qt4 user interface compiler found: ${PYTHON_QT4_UIC}")
else(PYTHON_QT4_UIC)
  message(SEND_ERROR "Python Qt4 user interface compiler not found.")
endif(PYTHON_QT4_UIC)

## PyQt resource compiler check, to generate icons
find_program(PYTHON_QT4_RCC NAMES pyrcc4 PATHS ${CMAKE_SYSTEM_PROGRAM_PATH} ${PYTHON_QT4_PATH}/bin ${PYTHON_QT4_PATH})
if(PYTHON_QT4_RCC)
  message(STATUS "Python Qt4 resource compiler found: ${PYTHON_QT4_RCC}")
else(PYTHON_QT4_RCC)
  message(SEND_ERROR "Python Qt4 resource compiler not found.")
endif(PYTHON_QT4_RCC)

option(ENABLE_INDEXER "Compile and enable Lucene indexing engine" OFF)
if (ENABLE_INDEXER)
   ## CLucene indexer library check
   find_library(CLUCENE_LIBRARY NAMES clucene)
   if(CLUCENE_LIBRARY)
	message(STATUS "CLucene indexing library found: ${CLUCENE_LIBRARY}")
   else(CLUCENE_LIBRARY)
	message(STATUS "CLucene indexing library not found.")
   endif(CLUCENE_LIBRARY)
   # Check for header, usually sits in /usr/lib on linux, strange !
   get_directory_property(cmake_include_directories INCLUDE_DIRECTORIES)
   find_path(CLUCENE_CONFIG_INCLUDE_PATH NAMES clucene-config.h ${cmake_include_directories})
   if(CLUCENE_CONFIG_INCLUDE_PATH)
	message(STATUS "CLucene indexing library config header file found in common include directories.")
   else(CLUCENE_CONFIG_INCLUDE_PATH)
	find_path(CLUCENE_CONFIG_INCLUDE_PATH NAMES CLucene/clucene-config.h PATHS /usr/lib /usr/local/lib)
    	if(CLUCENE_CONFIG_INCLUDE_PATH)
		message(STATUS "CLucene indexing library config header file found in: ${CLUCENE_CONFIG_INCLUDE_PATH}/CLucene")
	else(CLUCENE_CONFIG_INCLUDE_PATH)
		message(STATUS "CLucene indexing library config header file not found.")
  	endif(CLUCENE_CONFIG_INCLUDE_PATH)
   endif(CLUCENE_CONFIG_INCLUDE_PATH)
endif(ENABLE_INDEXER)


# Backing up original install prefix, some files have to sit elsewhere than python path, see at the end of this file.
SET(CMAKE_INSTALL_ORIG_PREFIX ${CMAKE_INSTALL_PREFIX})
# Install prefix used by Python installer.
SET(CMAKE_INSTALL_PREFIX ${PYTHON_SITE_PACKAGES_PATH}/${CMAKE_PROJECT_NAME}/)

## Main purpose of this macro if to copy Python files at install.
# It also deploys .py files in build directory if there is one.
LIST(APPEND PYC_FILES "")


macro(install_file target_name)
  foreach(file ${ARGN})
    # Be carreful:

=== Prerequisites/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>


FILE(GLOB dependencies ${CMAKE_CURRENT_BINARY_DIR} *)

foreach(file ${dependencies})
	message(STATUS ${file})
	IF (NOT IS_DIRECTORY(${file}))
		IF (NOT PYTHON_INSTALLER)
			STRING(REGEX MATCH "python.*" PYTHON_INSTALLER "${file}")
		ENDIF (NOT PYTHON_INSTALLER)
		IF (NOT PYQT_INSTALLER)
			STRING(REGEX MATCH "PyQt.*" PYQT_INSTALLER "${file}")
		ENDIF (NOT PYQT_INSTALLER)
		IF (NOT VCREDIST_INSTALLER)
			STRING(REGEX MATCH "vcredist.*" VCREDIST_INSTALLER "${file}")
		ENDIF (NOT VCREDIST_INSTALLER)
	ENDIF (NOT IS_DIRECTORY(${file}))
endforeach()
set(PYTHON_INSTALLER ${PYTHON_INSTALLER} PARENT_SCOPE)
set(PYQT_INSTALLER ${PYQT_INSTALLER} PARENT_SCOPE)
set(VCREDIST_INSTALLER ${VCREDIST_INSTALLER} PARENT_SCOPE)
	
set(dependencies_files
	${PYTHON_INSTALLER}
	${PYQT_INSTALLER}
	${VCREDIST_INSTALLER}
)

install_file(dependencies ${dependencies_files})

=== api/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


# compiled

add_subdirectory (exceptions)
add_subdirectory (events)
add_subdirectory (loader)
add_subdirectory (module)
add_subdirectory (types)
add_subdirectory (vfs)
add_subdirectory (search)
add_subdirectory (filters)
if (ENABLE_INDEXER)
   add_subdirectory (index)
endif (ENABLE_INDEXER)
add_subdirectory (tree)
add_subdirectory (magic)
# python only
add_subdirectory (taskmanager)
add_subdirectory (manager)
add_subdirectory (datatype)
add_subdirectory (gui)
add_subdirectory (devices)
add_subdirectory (apswvfs)

#### Deploying python __init__ script
set(api_srcs
  __init__.py
)

install_file(api ${api_srcs})

=== modules/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


add_subdirectory (volumes)
add_subdirectory (fs)
add_subdirectory (builtins)
add_subdirectory (process)
add_subdirectory (search)
add_subdirectory (viewer)
add_subdirectory (phone)
add_subdirectory (statistics)
add_subdirectory (crypto)
add_subdirectory (archives)
add_subdirectory (mem)
add_subdirectory (utils)
add_subdirectory (node)
add_subdirectory (connector)
add_subdirectory (hash)
add_subdirectory (metadata)
add_subdirectory (test)
add_subdirectory (databases)
add_subdirectory (mailbox)

set(module_srcs
  __init__.py
)

install_file(module2 ${module_srcs})

=== testsuite/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Christophe Malinge <cma@digital-forensic.org>

## Main purpose of this macro if to copy Python test files at build.
# without it python is unable to load DFF API
macro(deploytestfile target_name)
  foreach(file ${ARGN})
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${file})
      # Be carreful, SWiG generate .py files, which sits in builddir,
      #  so we have to check if file exists in source dir before copying it.
      add_custom_target("testdeploy.${target_name}.${file}" ALL
	COMMAND ${CMAKE_COMMAND} -E copy_if_different
	  ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/${file}
	)
    endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${file})
  endforeach(file ${ARGN}) 
endmacro(deploytestfile target_name)

# Define 'simple' files to deploy
SET(testsuite_srcs
  dffunittest.py	# Base unittest file, specific test follows
  local.py
  hashtest.py
  enverrortest.py
  vfserrortest.py
)
deploytestfile(testsuite ${testsuite_srcs})

# Here we use configure_file because content of those files have variable
# to be replaced by CMake
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/fattest.py ${CMAKE_CURRENT_BINARY_DIR}/fattest.py)

# unittest
ADD_TEST(modules.fs.local python local.py)
ADD_TEST(modules.parser.hash python hashtest.py)
ADD_TEST(modules.fs.fat python fattest.py)
ADD_TEST(modules.api.env.error python enverrortest.py)
ADD_TEST(modules.api.vfs.error python vfserrortest.py)

=== ui/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


add_subdirectory(console)
add_subdirectory(gui)

set(ui_srcs
  __init__.py
  history.py
  redirect.py
  ui.py
  conf.py
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ui.py ${CMAKE_CURRENT_BINARY_DIR}/ui.py)

install_file(ui ${ui_srcs})

=== api/apswvfs/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Solal Jacob <sja@digital-forensic.org>


set(apswvfs_srcs
  __init__.py
  apswvfs.py
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/__init__.py ${CMAKE_CURRENT_BINARY_DIR}/__init__.py)

install_file(apswvfs ${apswvfs_srcs})

=== api/datatype/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Christophe Malinge <cma@digital-forensic.org>
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(../include)

SET_SOURCE_FILES_PROPERTIES(libdatatype.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE(libdatatype python libdatatype.i datatype.cpp)
SWIG_LINK_LIBRARIES(libdatatype ${PYTHON_LIBRARIES} _libtypes)

if (CMAKE_GENERATOR MATCHES "Visual Studio")
set_target_properties (${SWIG_MODULE_libdatatype_REAL_NAME} PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY_RELEASE "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_DEBUG "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${CMAKE_CURRENT_BINARY_DIR}"
  SUFFIX ".pyd"
)
endif ( CMAKE_GENERATOR MATCHES "Visual Studio")

set(datatype_srcs
  __init__.py
  mimetree.py
  libdatatype.py    
  )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/__init__.py ${CMAKE_CURRENT_BINARY_DIR}/__init__.py)
install_lib(${SWIG_MODULE_libdatatype_REAL_NAME})
install_file(datatype ${datatype_srcs})

=== api/devices/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Solal Jacob <sja@digital-forensic.org>

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

#FIND_PACKAGE(PythonLibs)

INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(../include)

if (UNIX)
  set (libdevices_srcs
       device.cpp
     )
else (UNIX)
   set (libdevices_srcs
       device.cpp
       wmidev.cpp	
     )
endif(UNIX)

SET_SOURCE_FILES_PROPERTIES(libdevices.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE(libdevices python libdevices.i ${libdevices_srcs})
SWIG_LINK_LIBRARIES(libdevices ${PYTHON_LIBRARIES})


if (CMAKE_GENERATOR MATCHES "Visual Studio")
set_target_properties (${SWIG_MODULE_libdevices_REAL_NAME} PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY_RELEASE "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_DEBUG "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${CMAKE_CURRENT_BINARY_DIR}"
  SUFFIX ".pyd"
)
endif ( CMAKE_GENERATOR MATCHES "Visual Studio")
if (UNIX)
set(libdevices_files
  __init__.py
  libdevices.py
  devices.py
  dbushaldev.py
)
else (UNIX)
set(libdevices_files
  __init__.py
  libdevices.py
  devices.py
)
endif(UNIX)

install_lib(${SWIG_MODULE_libdevices_REAL_NAME})
install_file(libdevices ${libdevices_files})

=== api/env/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

#FIND_PACKAGE(PythonLibs)

INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(../include)

SET_SOURCE_FILES_PROPERTIES(libenv.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE(libenv python libenv.i attributes.cpp conf.cpp argument.cpp results.cpp vars.cpp)
SWIG_LINK_LIBRARIES(libenv ${PYTHON_LIBRARIES} _libexceptions _libtype)

if ( CMAKE_GENERATOR MATCHES "Visual Studio")
set_target_properties (${SWIG_MODULE_libenv_REAL_NAME} PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY_RELEASE "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_DEBUG "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${CMAKE_CURRENT_BINARY_DIR}"
  SUFFIX ".pyd"
)
endif ( CMAKE_GENERATOR MATCHES "Visual Studio")

set(env_srcs
  __init__.py
  env.py
  libenv.py
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/__init__.py ${CMAKE_CURRENT_BINARY_DIR}/__init__.py)

install_lib(${SWIG_MODULE_libenv_REAL_NAME})
install_file(env ${env_srcs})

=== api/events/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

#FIND_PACKAGE(PythonLibs)

INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(../include)

SET_SOURCE_FILES_PROPERTIES(libevents.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE(libevents python libevents.i eventhandler.cpp)
SWIG_LINK_LIBRARIES(libevents ${PYTHON_LIBRARIES} _libtypes)
if ( CMAKE_GENERATOR MATCHES "Visual Studio")
set_target_properties (${SWIG_MODULE_libevents_REAL_NAME} PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY_RELEASE "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_DEBUG "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${CMAKE_CURRENT_BINARY_DIR}"
  SUFFIX ".pyd"
)
endif ( CMAKE_GENERATOR MATCHES "Visual Studio")
set(events_srcs
  __init__.py
  libevents.py
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/__init__.py ${CMAKE_CURRENT_BINARY_DIR}/__init__.py)

install_lib(${SWIG_MODULE_libevents_REAL_NAME})
install_file(events ${events_srcs})

=== api/exceptions/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2011 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

#FIND_PACKAGE(PythonLibs)
#FIND_PACKAGE(PythonInterp)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(../include)

SET_SOURCE_FILES_PROPERTIES(libexceptions.i PROPERTIES CPLUSPLUS ON)
SWIG_ADD_MODULE(libexceptions python libexceptions.i exceptions.cpp)
SWIG_LINK_LIBRARIES(libexceptions ${PYTHON_LIBRARIES})
if ( CMAKE_GENERATOR MATCHES "Visual Studio")
set_target_properties (${SWIG_MODULE_libexceptions_REAL_NAME} PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY_RELEASE "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_DEBUG "${CMAKE_CURRENT_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO "${CMAKE_CURRENT_BINARY_DIR}"
  SUFFIX ".pyd"
)
endif ( CMAKE_GENERATOR MATCHES "Visual Studio")
if (UNIX)
add_custom_target(patchexceptions ALL
  DEPENDS ${SWIG_MODULE_libexceptions_REAL_NAME}
  COMMENT "Patching libexceptions.py"
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/patch.py
    ${CMAKE_CURRENT_BINARY_DIR}/libexceptions.py
)
elseif(UNIX)
add_custom_target(patchexceptions ALL
  DEPENDS ${SWIG_MODULE_libexceptions_REAL_NAME}
  COMMENT "Patching libexceptions.py"
  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/patch.py
    ${CMAKE_CURRENT_BINARY_DIR}/libexceptions.py
)
endif(UNIX)
set(exceptions_srcs
  __init__.py
   libexceptions.py
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/__init__.py ${CMAKE_CURRENT_BINARY_DIR}/__init__.py)

install_lib(${SWIG_MODULE_libexceptions_REAL_NAME})
install_file(exceptions ${exceptions_srcs})

=== debian/changelog ===
dff (1.2.0+dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #644928)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 Oct 2011 23:38:08 +0200

=== debian/control ===
Source: dff
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 8.0.0),
    cmake,
    python-all-dev (>= 2.6.6-3~),
    python-qt4,
    pyqt4-dev-tools,
    qt4-dev-tools,
    qt4-linguist-tools,
    python-magic,
    swig (>= 1.3.38),
    libfuse-dev,
    libmagic-dev,
    flex,
    bison
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://www.digital-forensic.org/
#Vcs-Git: git://git.debian.org/collab-maint/dff.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/dff.git;a=summary

Package: dff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
    python-qt4,
    python-magic
Recommends: python-dbus, libfuse2, libqt4-sql-sqlite, hal, dbus,
    python-qt4-phonon
Description: Powerful, efficient and modular digital forensic framework
 DFF is a simple but powerful open source tool with a flexible module system
 which will help you in your digital forensics works, including files recovery
 due to error or crash, evidence research and analysis, etc.
 The source code is written in C++ and Python, allowing performances and great
 extensibility.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for dff
# Written by Pierre Chifflier <pollux@debian.org>
# for DFF (Digital Forensic Framework)
# .
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CMAKE_EXTRA_FLAGS = "-DINSTALL=ON"

DEFAULTPY=$(shell pyversions -v -d)
PYVERSIONS=$(shell pyversions -v -r)
ALLPY=$(PYVERSIONS)

# disable the tests
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs -XLICENSE
	rm -rf debian/dff/usr/share/doc/dff-1.2.0


override_dh_auto_configure-%:
	mkdir build-$*
	set -e -x; cd build-$* ; cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON $(DEB_CMAKE_EXTRA_FLAGS) -DPYTHON_EXECUTABLE=/usr/bin/python$*

override_dh_auto_configure: $(ALLPY:%=override_dh_auto_configure-%)

override_dh_auto_build-$(DEFAULTPY):
	dh_auto_build -B build-$(DEFAULTPY)
	#make --no-print-directory -C build-$(DEFAULTPY) manual-html
	#rm -rf build-$(DEFAULTPY)/docs/manual/html/.doctrees

override_dh_auto_build-%:
	dh_auto_build -B build-$*

override_dh_auto_build: $(ALLPY:%=override_dh_auto_build-%)

override_dh_auto_install-%:
	dh_auto_install -B build-$*

override_dh_auto_install: $(ALLPY:%=override_dh_auto_install-%)
	install -m755 -o root -g root dff.py debian/dff/usr/bin/dff; \
	sed -i -e 's,$${PYTHON_BIN_PATH},/usr/bin,' debian/dff/usr/bin/dff

override_dh_auto_clean:
	rm -rf build-*
	rm -f api/filters/lexer.cpp api/filters/lexer.hpp api/filters/parser.cpp api/filters/parser.hpp


%:
	dh $@ --with=python2

## dff 1.3.0%2Bdfsg.1

=== dff/modules/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>

install_file(__init__.py)

add_subdirectory (volumes)
add_subdirectory (fs)
add_subdirectory (builtins)
add_subdirectory (search)
add_subdirectory (viewer)
add_subdirectory (statistics)
add_subdirectory (ram)
add_subdirectory (node)
add_subdirectory (connector)
add_subdirectory (hash)
add_subdirectory (metadata)
add_subdirectory (databases)
add_subdirectory (mailbox)
add_subdirectory (export)

=== dff/api/search/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>

if (TRE_FOUND)
  set(search_files __init__.py)
  if(WIN32)
    file(COPY ${TRE_DYN_LIBRARIES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    set(search_files ${search_files} tre.dll)
  endif(WIN32)
  set(link_libraries ${TRE_LIBRARY})
endif (TRE_FOUND)

dff_cpp_api(search
  CPP_FILES search.cpp boyer_moore.cpp
  SWIG_FILE libsearch.i
  LINK_LIBRARIES ${link_libraries}
  EXTRA_FILES ${search_files}
  )

=== dff/modules/fs/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>
#  Solal Jacob <sja@digital-forensic.org>


add_subdirectory (extfs)
add_subdirectory (fat)
add_subdirectory (ntfs)

install_file(
  __init__.py
  spare.py
)

=== dff/modules/ram/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>

install_file(
  __init__.py
)

add_subdirectory (volatility)

=== dff/ui/console/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Frederic Baguelin <fba@digital-forensic.org>


install_file(
  __init__.py
  complete_raw_input.py
  completion.py
  console.py
  line_to_arguments.py
  utils.py
)

=== dff/modules/databases/sqlite/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Jeremy MOUNIER <jmo@digital-forensic.org>

install_file(
  __init__.py
  sqlitedb.py
  sqlitemanager.py
)

=== dff/modules/metadata/lnk/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Solal Jacob <sja@digital-forensic.org>

install_file(
  __init__.py
  lnk.py
  lnkheader.py
  lnkitem.py
)

=== dff/modules/viewer/hexedit/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
#
# Author(s):
#  Jeremy Mounier <jmo@digital-forensic.org>

install_file(
  Heditor.py
  __init__.py
  asciiItem.py
  bookmark.py
  cursors.py
  decodeValues.py
  messagebox.py
  footer.py
  goto.py
  hexItem.py
  hexView.py
  hexeditor.py
  informations.py
  navigation.py
  nceditor.py
  offsetItem.py
  options.py
  pageView.py
  pixelView.py
  right.py
  scrollbar.py
  search.py
  selection.py
  textItem.py
  utils.py
  lfscrollbar.py
  string.py
)

=== dff/modules/viewer/timeline/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Christophe Malinge <cma@digital-forensic.org>

install_file(
  __init__.py
  compute_thread.py
  drawer.py
  list_thread.py
  paint_area.py
  options_layout.py
  timeline.py
)

=== dff/ui/gui/i18n/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Solal Jacob <sja@digital-forensic.org>
#  Christophe Malinge <cma@digital-forensic.org>

# please keep the list of supported languages sorted alphabetically
set(DFF_SUPPORTED_LANGUAGES "de" "en" "es" "fr" "it" "nl" "zh")

# Please also take care of dff.pro file !

# Configure step
execute_process(COMMAND ${PYTHON_QT4_LANGUAGE} -verbose "${CMAKE_CURRENT_SOURCE_DIR}/dff.pro")

foreach(LANGUAGE ${DFF_SUPPORTED_LANGUAGES})
  set(QM_OUTPUT_FILES ${QM_OUTPUT_FILES} "Dff_${LANGUAGE}.qm")
# Build step
  add_custom_target(gui_translation_${LANGUAGE} ALL
    COMMAND ${QT_LANGUAGE_COMPILER} ${CMAKE_CURRENT_SOURCE_DIR}/Dff_${LANGUAGE}.ts -qm ${CMAKE_CURRENT_BINARY_DIR}/Dff_${LANGUAGE}.qm
    SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/Dff_${LANGUAGE}.ts
    )
endforeach(LANGUAGE ${DFF_SUPPORTED_LANGUAGES})

install_file(${QM_OUTPUT_FILES})

=== dff/ui/gui/ide/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Jeremy Mounier <jmo@digital-forensic.org>


install_file(
  editor.py
  ide.py
  highlighter.py
  explorer.py
  __init__.py
  generatecode.py
  messagebox.py
  idewizard.py
)

=== dff/ui/gui/utils/CMakeLists.txt ===
# DFF -- An Open Source Digital Forensics Framework
# Copyright (C) 2009-2013 ArxSys
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the LICENSE file
# at the top of the source tree.
#  
# See http://www.digital-forensic.org for more information about this
# project. Please do not directly contact any of the maintainers of
# DFF for assistance; the project provides a web site, mailing lists
# and IRC channels for your use.
# 
# Author(s):
#  Solal Jacob <sja@digital-forensic.org>


install_file(
  __init__.py
  action.py
  menu.py
  menumanager.py
  utils.py
)
